%define majver %(echo %version | cut -d. -f1-2)

Name:          kplotting
Version:       5.12.0
Release:       1mamba
Summary:       A QWidget-derived class that provides a virtual base class for easy data-plotting
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/kplotting-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KPlotWidget is a QWidget-derived class that provides a virtual base class for easy data-plotting. The idea behind KPlotWidget is that you only have to specify information in "data units"; i.e., the natural units of the data being plotted.  KPlotWidget automatically converts everything to screen pixel units.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A QWidget-derived class that provides a virtual base class for easy data-plotting

%description -n lib%{name}
KPlotWidget is a QWidget-derived class that provides a virtual base class for easy data-plotting. The idea behind KPlotWidget is that you only have to specify information in "data units"; i.e., the natural units of the data being plotted.  KPlotWidget automatically converts everything to screen pixel units.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Plotting.so.*
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/KPlotting
%{_kde5_includedir}/KPlotting/*
%dir %{_kde5_includedir}/KPlotting
%{_kde5_includedir}/KPlotting/*.h
%{_kde5_includedir}/kplotting_version.h
%dir %{_kde5_libdir}/cmake/KF5Plotting
%{_kde5_libdir}/cmake/KF5Plotting/KF5Plotting*.cmake
%{_kde5_libdir}/libKF5Plotting.so
%{_kde5_mkspecsdir}/qt_KPlotting.pri

%changelog
* Mon Jul 13 2015 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Thu Jun 18 2015 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Mon May 11 2015 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Sat May 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-1mamba
- package created using the webbuild interface
